<?php
/*
Plugin Name: Paragraphs
Plugin URI: http://www.nowhereland.it/
Description: Create Paragraphs at each newline
Author: NoWhereMan
Version: 0.703
Author URI: http://www.nowhereland.it/
*/

function plugin_paragraph_text($text) {
	$text = str_replace("\n", "</p><p>", $text);
	$text = str_replace("<p>\r</p>", "<br>", $text);
	return '<p>'.$text.'</p>';
}

remove_filter('the_content', 'wpautop');
add_filter('the_content', 'plugin_paragraph_text');

//uncomment the following lines if you want the same behavior in comments
//remove_filter('comment_text', 'wpautop');
//add_filter('comment_text', 'plugin_paragraph_text');

?>